Code::Blocks

User forums => Help => Topic started by: cwmoser on May 14, 2019, 11:40:32 pm

Title: wxsmith how to I install this plugin?
Post by: cwmoser on May 14, 2019, 11:40:32 pm
I have installed Code::Blocks IDE and Codeblocks-contrib.
Using Linux Mint 19.1
I can run CodeBlocks and compile a console application but when I try to do a GUI, it requires wxSmith.

I read somewhere that Codeblocks-contrib should have provided wxSmith as a managable plugin but I didn't find it.
This from:  wiki.codeblocks.org/index.php/WxSmith_plugin
"To install wxSmith on Linux if it is not already, simply install codebocks-contrib from your default repository"

Giving up on this, I next downloaded wxSmith but don't know how to compile this plugin.

Any help would be appreciated on getting started.

Thanks


Title: Re: wxsmith how to I install this plugin?
Post by: cwmoser on May 15, 2019, 02:03:04 am
I think I partially figured it out.
wxSmith works with CodeBlocks 16.01 but not with CodeBlocks 17.12
Title: Re: wxsmith how to I install this plugin?
Post by: oBFusCATed on May 15, 2019, 09:41:12 am
Install the codeblocks-contrib plugin using your package manager and it will work. Make sure you're not mixing parts of 16.01 and 17.12!